module input_fsl_8(
	FSL_Rst,
	FSL_Clk,
	FSL0_M_CLK,
	FSL0_M_Data,
	FSL0_M_Control,
	FSL0_M_Write,
	FSL0_M_Full,
	FSL_INPUT_IP_GPIO,
	data_ready,
	IRQ	
);
    //input [0:7] in_bus;
    //output [0:31] out_bus;
	input FSL_Rst;
	input FSL_Clk;
	input data_ready;
	output FSL0_M_CLK;
	output [0:31] FSL0_M_Data;
	output FSL0_M_Control;
	output FSL0_M_Write;
	input FSL0_M_Full;
	input [0:7] FSL_INPUT_IP_GPIO;
	output IRQ;	

	reg [0:31] FSL0_M_Data;
	reg FSL0_M_Control;
	reg FSL0_M_Write;
	reg IRQ;	
	reg [0:7] FSL_INPUT_GPIO_reg;
	reg data_changed;
	reg data_changed_a; 
	integer N;

	//constant KEY : std_logic_vector(0 to 7) := "11110000";

assign FSL0_M_Clk = FSL_Clk;

always@(posedge FSL_Clk)
begin
if(FSL_Rst == 1'b1)
	begin
		FSL0_M_Write = 1'b0;
		FSL0_M_Control = 1'b0;
		FSL_INPUT_GPIO_reg = 8'b0;
		FSL0_M_Data = 32'b0;
		data_changed = 1'b0;
		data_changed_a = 1'b0; 
		IRQ = 1'b0;
	end
if (data_changed_a == 1'b1) 
	begin
		FSL0_M_Write = 1'b0;
		data_changed_a = 1'b0;
		data_changed = 1'b0;
		IRQ = 1'b0;
	end
else if (data_changed == 1'b1)
	begin
		data_changed_a = 1'b1;
		//FSL0_M_Write = 1'b1;	
	end  
//if ((FSL_INPUT_GPIO_reg != FSL_INPUT_IP_GPIO) /*&& (FSL_INPUT_GPIO_reg == 8'b11110000)*/ && FSL0_M_Full == 1'b0)
if (data_ready && ~FSL0_M_Full)
//if (FSL0_M_Full = 1'b0 && data_changed = 1'b0)
	begin
		data_changed = 1'b1;
		FSL0_M_Data = {24'b0,FSL_INPUT_IP_GPIO};
		FSL0_M_Write = 1'b1;			
		//if ( FSL_INPUT_IP_GPIO == 8'b11110000)
		IRQ = 1'b1;
	end

FSL_INPUT_GPIO_reg = FSL_INPUT_IP_GPIO;

end
endmodule