// Verilog model created from sch_top.sch - Tue Mar 09 11:52:19 2004

`timescale 1ns / 1ps

module ps2_core(clk, ps2_clk, ps2_data, rst, rx_data_ready, rx_scan_code);

    input clk;
    inout ps2_clk;
    inout ps2_data;
    input rst;
    output rx_data_ready;
    output [7:0] rx_scan_code;
   
   wire XLXN_6;
   wire XLXN_7;
   wire XLXN_8;
   wire XLXN_9;
   wire XLXN_10;
   wire XLXN_12;
   wire XLXN_13;
   wire XLXN_14;
   wire XLXN_15;
   
   ps2_io_ctrl XLXI_1 (.clk_i(clk), .inhibit_if_i(XLXN_8),
         .ps2_clk_pad_i(XLXN_12), .ps2_ctrl_clk_en_i_(XLXN_9),
         .ps2_ctrl_data_en_i_(XLXN_10), .rst_i(rst),
         .ps2_clk_pad_oe_o(XLXN_14), .ps2_ctrl_clk_o(XLXN_13),
         .ps2_data_pad_oe_o(XLXN_15));

   ps2_mouse XLXI_2 (.clk(clk), .devide_reg_i(16'b0),
         .ps2_clk_i(XLXN_13), .ps2_data_i(XLXN_6), .reset(rst),
         .rx_read(XLXN_7), .tx_data(8'b11111111), .tx_write(XLXN_8),
         .ps2_clk_en_o_(XLXN_9), .ps2_data_en_o_(XLXN_10),
         .rx_data_ready(rx_data_ready), .rx_scan_code(rx_scan_code),
         .tx_error_no_ack(), .tx_write_ack_o());

   IOBUF XLXI_3 (.I(XLXN_8), .T(~XLXN_15), .O(XLXN_6), .IO(ps2_data));

   IOBUF XLXI_4 (.I(XLXN_8), .T(~XLXN_14), .O(XLXN_12), .IO(ps2_clk));

   VCC XLXI_5 (.P(XLXN_7));
   GND XLXI_6 (.G(XLXN_8));
endmodule
